Hunters Guild Member Colin:
The most wonderful place around here is the Enchanted Valley! If you leave town on the northwest road, you will get there right away. The scenery is wonderful and you will find many kinds of unique game. Even though our union has priority hunting privileges, we don't stop others from hunting. However, it can be quite a challenging place to hunt...
The Forest of Mirrors is located to the east and Dragon Valley to the south. Both places are as dangerous as the Enchanted Valley. If you are interested you should go there... But be careful! I don't want to have to retrieve your corpse!
Return